## yank 0.6.2

=== Makefile ===
VERSION = 0.6.2

PREFIX  ?= /usr/local
YANKCMD ?= xsel

CFLAGS   += -Os -pedantic -std=c99 -Wall -Werror -Wextra
CPPFLAGS += -DVERSION=\"${VERSION}\" -DYANKCMD=\"${YANKCMD}\"

yank: yank.c
	${CC} ${CFLAGS} $^ -o $@ ${LDFLAGS} ${CPPFLAGS}

clean:
	rm yank

install: yank
	@echo "yank -> ${PREFIX}/bin/yank"
	@mkdir -p "${PREFIX}/bin"
	@cp -f yank "${PREFIX}/bin"
	@chmod 755 "${PREFIX}/bin/yank"
	@echo "yank.1 -> ${PREFIX}/share/man/man1/yank.1"
	@mkdir -p "${PREFIX}/share/man/man1"
	@cp -f yank.1 "${PREFIX}/share/man/man1/yank.1"
	@chmod 644 "${PREFIX}/share/man/man1/yank.1"

.PHONY: clean install

-include config.mk

=== debian/changelog ===
yank (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2
  * Fix debian/watch
  
 -- Sebastien Delafond <seb@debian.org>  Fri, 12 Feb 2016 08:46:33 +0100

yank (0.4.1-1) unstable; urgency=medium

  * New upstream release (Closes: #802292)

 -- Sebastien Delafond <seb@debian.org>  Tue, 20 Oct 2015 08:58:54 +0200

yank (0.4.0-2) unstable; urgency=medium

  * Add docs and README.Debian, documenting the fact that this package
    ships /usr/bin/yank-cli because /usr/bin/yank is already taken.

 -- Sebastien Delafond <seb@debian.org>  Fri, 16 Oct 2015 08:07:02 +0200

yank (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #801837)

 -- Sebastien Delafond <seb@debian.org>  Thu, 15 Oct 2015 15:53:45 +0200

=== debian/control ===
Source: yank
Section: utils
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/mptre/yank
Vcs-Git: git://anonscm.debian.org/collab-maint/yank.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/yank.git

Package: yank
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xsel
Description: interactively select and yank terminal output to stdout or xsel
 Read input from stdin and draw a selection interface where all fields
 in the given input are recognized by using a default or user-supplied
 set of delimiters.
 .
 Using ctrl-n and ctrl-p will move the field selection forward and
 backward, pressing the return key will invoke the yank command and
 write the selected field to its stdin. The yank command defaults to
 xsel, but could be anything that accepts input on stdin.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ 

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/yank/usr install

## yank 0.7.0

=== Makefile ===
VERSION=	0.7.0

YANKCMD=	xsel

PREFIX=		/usr/local
MANPREFIX=	${PREFIX}/share/man

CFLAGS+=	-pedantic -Wall -Werror -Wextra
CPPFLAGS+=	-DVERSION=\"${VERSION}\" -DYANKCMD=\"${YANKCMD}\"

yank: yank.c
	${CC} ${CFLAGS} -o $@ $< ${LDFLAGS} ${CPPFLAGS}

clean:
	rm yank

install: yank
	@echo "yank -> ${PREFIX}/bin/yank"
	@mkdir -p "${PREFIX}/bin"
	@cp -f yank "${PREFIX}/bin"
	@chmod 755 "${PREFIX}/bin/yank"
	@echo "yank.1 -> ${MANPREFIX}/man1/yank.1"
	@mkdir -p "${MANPREFIX}/man1"
	@cp -f yank.1 "${MANPREFIX}/man1/yank.1"
	@chmod 644 "${MANPREFIX}/man1/yank.1"

.PHONY: clean install

-include config.mk

=== debian/changelog ===
yank (0.7.0-1) unstable; urgency=medium

  * New upstream release
  
 -- Sebastien Delafond <seb@debian.org>  Thu, 16 Jun 2016 12:02:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/mptre/yank
 Vcs-Git: git://anonscm.debian.org/collab-maint/yank.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/yank.git

## yank 0.8.0

=== Makefile ===
VERSION=	0.8.0

YANKCMD=	xsel

PREFIX=		/usr/local
MANPREFIX=	${PREFIX}/share/man

INSTALL_PROGRAM=	install -s -m 0755
INSTALL_MAN=		install -m 0644

CFLAGS+=	-pedantic -Wall -Werror -Wextra
CPPFLAGS+=	-DVERSION=\"${VERSION}\" -DYANKCMD=\"${YANKCMD}\"

all: yank

yank: yank.c
	${CC} ${CFLAGS} -o $@ $< ${LDFLAGS} ${CPPFLAGS}

clean:
	rm -f yank

install: yank
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	${INSTALL_PROGRAM} yank ${DESTDIR}${PREFIX}/bin
	${INSTALL_MAN} yank.1 ${DESTDIR}${MANPREFIX}/man1

.PHONY: all clean install

-include config.mk

=== debian/changelog ===
yank (0.8.0-1) unstable; urgency=medium

  * Imported Upstream version 0.8.0  
  
 -- Sebastien Delafond <seb@debian.org>  Tue, 17 Jan 2017 10:26:30 +0100

yank (0.7.1-1) unstable; urgency=medium

  * Imported Upstream version 0.7.1
  * Fix Makefile's clean target
  * Adjust debian/patches/0001-Makefile-adjustments

 -- Sebastien Delafond <seb@debian.org>  Mon, 10 Oct 2016 10:50:36 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk

=== debian/watch ===
version=3
https://github.com/mptre/yank/tags .*/v(\d[\d\.]*)\.tar\.gz debian uupdate

## yank 0.8.3

=== Makefile ===
VERSION=	0.8.3

YANKCMD=	xsel

PREFIX=		/usr/local
MANPREFIX=	${PREFIX}/share/man

PROG=	yank
OBJS=	yank.o

INSTALL_PROGRAM=	install -s -m 0755
INSTALL_MAN=		install -m 0644

CFLAGS+=	-pedantic -Wall -Werror -Wextra
CPPFLAGS+=	-DVERSION=\"${VERSION}\" -DYANKCMD=\"${YANKCMD}\"

all: ${PROG}

${PROG}: ${OBJS}
	${CC} -o ${PROG} ${OBJS} ${LDFLAGS}

clean:
	rm -f ${PROG} ${OBJS}

install: ${PROG}
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	${INSTALL_PROGRAM} ${PROG} ${DESTDIR}${PREFIX}/bin
	${INSTALL_MAN} yank.1 ${DESTDIR}${MANPREFIX}/man1

.PHONY: all clean install

-include config.mk

=== debian/changelog ===
yank (0.8.3-1) unstable; urgency=medium

  * Imported Upstream version 0.8.3

 -- Sebastien Delafond <seb@debian.org>  Tue, 04 Jul 2017 14:43:00 +0200

yank (0.8.2-1) unstable; urgency=medium

  * Imported Upstream version 0.8.2
  * Makefile patch integrated by upstream

 -- Sebastien Delafond <seb@debian.org>  Sun, 19 Feb 2017 15:37:53 +0100

yank (0.8.1-1) unstable; urgency=medium

  * Imported Upstream version 0.8.1
  * Upstream now provides a way to install the yank binary under another name

 -- Sebastien Delafond <seb@debian.org>  Sun, 19 Feb 2017 12:17:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.8
 Homepage: https://github.com/mptre/yank
-Vcs-Git: git://anonscm.debian.org/collab-maint/yank.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/yank.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/yank.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/yank.git
 
 Package: yank
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 	dh $@ 
 
 override_dh_auto_install:
-	$(MAKE) PREFIX=$(CURDIR)/debian/yank/usr install
+	$(MAKE) PREFIX=$(CURDIR)/debian/yank/usr PROG=yank-cli install

## yank 1.1.0

=== Makefile ===
VERSION=	1.1.0

YANKCMD=	xsel

PREFIX=		/usr/local
MANPREFIX=	${PREFIX}/share/man

PROG=	yank
OBJS=	yank.o

INSTALL_PROGRAM=	install -s -m 0755
INSTALL_MAN=		install -m 0644

CFLAGS+=	-pedantic -Wall -Werror -Wextra
CFLAGS+=	-DVERSION=\"${VERSION}\" -DYANKCMD=\"${YANKCMD}\"

DISTFILES=	CHANGELOG.md \
		LICENSE \
		Makefile \
		README.md \
		yank.1 \
		yank.c

all: ${PROG}

${PROG}: ${OBJS}
	${CC} -o ${PROG} ${OBJS} ${LDFLAGS}

clean:
	rm -f ${PROG} ${OBJS}

dist:
	set -e; \
	d=${PROG}-${VERSION}; \
	mkdir $$d; \
	for f in ${DISTFILES}; do \
		mkdir -p $$d/`dirname $$f`; \
		cp $$f $$d/$$f; \
	done; \
	tar czvf $$d.tar.gz $$d; \
	sha256 $$d.tar.gz >$$d.sha256; \
	rm -r $$d

distclean: clean
	rm -f ${PROG}-${VERSION}.tar.gz ${PROG}-${VERSION}.sha256

install: ${PROG}
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	${INSTALL_PROGRAM} ${PROG} ${DESTDIR}${PREFIX}/bin
	${INSTALL_MAN} yank.1 ${DESTDIR}${MANPREFIX}/man1

.PHONY: all clean dist distclean install

-include config.mk

=== debian/changelog ===
yank (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0

 -- Sebastien Delafond <seb@debian.org>  Wed, 07 Nov 2018 16:29:11 +0100

yank (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0

 -- Sebastien Delafond <seb@debian.org>  Sun, 09 Sep 2018 11:16:09 +0200

yank (0.8.3-2) unstable; urgency=medium

  * Switch to DEP 14
  * Update Vcs-* to point to salsa.d.o
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Thu, 05 Apr 2018 13:37:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/mptre/yank
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/yank.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/yank.git
+Vcs-Git: https://salsa.debian.org/debian/yank.git
+Vcs-Browser: https://salsa.debian.org/debian/yank
 
 Package: yank
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_install:
 	$(MAKE) PREFIX=$(CURDIR)/debian/yank/usr PROG=yank-cli install

## yank 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=	1.1.0
+VERSION=	1.2.0
 
 YANKCMD=	xsel
 
@@ -11,7 +11,7 @@
 INSTALL_PROGRAM=	install -s -m 0755
 INSTALL_MAN=		install -m 0644
 
-CFLAGS+=	-pedantic -Wall -Werror -Wextra
+CFLAGS+=	-pedantic -Wall -Wextra
 CFLAGS+=	-DVERSION=\"${VERSION}\" -DYANKCMD=\"${YANKCMD}\"
 
 DISTFILES=	CHANGELOG.md \

=== debian/changelog ===
yank (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Sebastien Delafond <seb@debian.org>  Sat, 21 Dec 2019 10:22:01 +0100

yank (1.1.0-2) unstable; urgency=medium

  * Fix FTCBFS (Closes: #929004), thanks to the patch provided entirely
    by Helmut Grohne <helmut@subdivi.de>  
    + Pass INSTALL_PROGRAM without -s
    + Also pass PROG= to dh_auto_build
  * Bump-up Standards-Version
  
 -- Sebastien Delafond <seb@debian.org>  Wed, 15 May 2019 17:18:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Homepage: https://github.com/mptre/yank
 Vcs-Git: https://salsa.debian.org/debian/yank.git
 Vcs-Browser: https://salsa.debian.org/debian/yank

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,8 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+	dh_auto_build -- PROG=yank-cli
+
 override_dh_auto_install:
-	$(MAKE) PREFIX=$(CURDIR)/debian/yank/usr PROG=yank-cli install
+	$(MAKE) PREFIX=$(CURDIR)/debian/yank/usr PROG=yank-cli INSTALL_PROGRAM="install -m 0755" install

## yank 1.3.0

=== Makefile ===
VERSION=	1.3.0

YANKCMD=	xsel

PREFIX=		/usr/local
MANPREFIX=	${PREFIX}/share/man

PROG=	yank
OBJS=	yank.o

KNFMT+=	yank.c

INSTALL_PROGRAM=	install -s -m 0755
INSTALL_MAN=		install -m 0644

CFLAGS+=	-pedantic -Wall -Wextra
CFLAGS+=	-DVERSION=\"${VERSION}\" -DYANKCMD=\"${YANKCMD}\"

DISTFILES=	CHANGELOG.md \
		LICENSE \
		Makefile \
		README.md \
		yank.1 \
		yank.c

all: ${PROG}

${PROG}: ${OBJS}
	${CC} -o ${PROG} ${OBJS} ${LDFLAGS}

clean:
	rm -f ${PROG} ${OBJS}
.PHONY: clean

dist:
	set -e; \
	d=yank-${VERSION}; \
	mkdir $$d; \
	for f in ${DISTFILES}; do \
		mkdir -p $$d/`dirname $$f`; \
		cp -p ${.CURDIR}/$$f $$d/$$f; \
	done; \
	find $$d -type d -exec touch -r ${.CURDIR}/Makefile {} \;; \
	tar czvf ${.CURDIR}/$$d.tar.gz $$d; \
	(cd ${.CURDIR}; sha256 $$d.tar.gz >$$d.sha256); \
	rm -r $$d
.PHONY: dist

format:
	cd ${.CURDIR} && knfmt -is ${KNFMT}
.PHONY: format

install: ${PROG}
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	${INSTALL_PROGRAM} ${PROG} ${DESTDIR}${PREFIX}/bin
	${INSTALL_MAN} yank.1 ${DESTDIR}${MANPREFIX}/man1
.PHONY: install

lint:
	cd ${.CURDIR} && mandoc -Tlint -Wstyle yank.1
	cd ${.CURDIR} && knfmt -ds ${KNFMT}
.PHONY: lint

-include config.mk

=== debian/changelog ===
yank (1.3.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Sébastien Delafond ]
  * Set maintainer to Debian QA group following #1115323

 -- Sebastien Delafond <seb@debian.org>  Mon, 15 Sep 2025 17:52:21 +0200

yank (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Bump-up Standards-Version
  * Use debhelper-compat 12
  * d/watch: use version 4
  * d/rules: install man page as yank-cli.1

 -- Sebastien Delafond <seb@debian.org>  Mon, 24 Oct 2022 16:00:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: yank
 Section: utils
 Priority: optional
-Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 4.4.1
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.1
 Homepage: https://github.com/mptre/yank
 Vcs-Git: https://salsa.debian.org/debian/yank.git
 Vcs-Browser: https://salsa.debian.org/debian/yank

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,4 @@
 
 override_dh_auto_install:
 	$(MAKE) PREFIX=$(CURDIR)/debian/yank/usr PROG=yank-cli INSTALL_PROGRAM="install -m 0755" install
+	mv $(CURDIR)/debian/yank/usr/share/man/man1/yank.1 $(CURDIR)/debian/yank/usr/share/man/man1/yank-cli.1

=== debian/watch ===
version=4
https://github.com/mptre/yank/tags .*/v(\d[\d\.]*)\.tar\.gz debian uupdate
